EmbededServletOptions (Jasper Internal API Documentation)
Keywords: org.apache.jasper.EmbededServletOptions class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper
Class EmbededServletOptions

    java.lang.Object
      org.apache.jasper.EmbededServletOptions

All Implemented Interfaces:
  Options

public final class EmbededServletOptions
extends java.lang.Object
implements Options

A class to hold all init parameters specific to the JSP engine.

Author:
  Anil K. Vijendran, Hans Bergsten, Pierre Delisle

Field Summary
`int` | `checkInterval` Background compile thread check interval in seconds.
`boolean` | `classDebugInfo` Do we want to include debugging information in the class file?
`java.lang.String` | `classpath` What classpath should I use while compiling generated servlets?
`java.lang.String` | `compiler` Compiler to use.
`boolean` | `development` Is Jasper being used in development mode?
`boolean` | `fork` Should Ant fork its java compiles of JSP pages.
`java.lang.String` | `ieClassId` Need to have this as is for versions 4 and 5 of IE.
`boolean` | `keepGenerated` Do you want to keep the generated Java files around?
`boolean` | `largeFile` Do you want support for "large" files?
`boolean` | `mappedFile` Do you want support for "mapped" files?
`boolean` | `poolingEnabled` Determines whether tag handler pooling is enabled.
`boolean` | `reloading` JSP reloading check ?
`java.io.File` | `scratchDir` I want to see my generated servlets.
`boolean` | `sendErrorToClient` Do you want stack traces and such displayed in the client's browser?

Constructor Summary
`EmbededServletOptions(javax.servlet.ServletConfig config, javax.servlet.ServletContext context)` Create an EmbededServletOptions object using data available from ServletConfig and ServletContext.

Method Summary
`int` | `getCheckInterval()` Background JSP compile thread check intervall
`boolean` | `getClassDebugInfo()` Should class files be compiled with debug information?
`java.lang.String` | `getClassPath()` What classpath should I use while compiling the servlets generated from JSP files?
`java.lang.String` | `getCompiler()` Compiler to use.
`boolean` | `getDevelopment()` Is Jasper being used in development mode?
`boolean` | `getFork()` boolean flag to tell Ant whether to fork JSP page compilations.
`java.lang.String` | `getIeClassId()` Class ID for use in the plugin tag when the browser is IE.
`java.lang.String` | `getJavaEncoding()` Java platform encoding to generate the JSP page servlet.
`boolean` | `getKeepGenerated()` Are we keeping generated code around?
`boolean` | `getLargeFile()` Are we supporting large files?
`boolean` | `getMappedFile()` Are we supporting HTML mapped servlets?
`java.lang.String` | `getProperty(java.lang.String name)`
`boolean` | `getReloading()` JSP reloading check ?
`java.io.File` | `getScratchDir()` What is my scratch dir?
`boolean` | `getSendErrorToClient()` Should errors be sent to client or thrown into stderr?
`TldLocationsCache` | `getTldLocationsCache()` The cache for the location of the TLD's for the various tag libraries 'exposed' by the web application.
`boolean` | `isPoolingEnabled()` Returns true if tag handler pooling is enabled, false otherwise.
`void` | `setProperty(java.lang.String name, java.lang.String value)`
`void` | `setTldLocationsCache(TldLocationsCache tldC)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### development

    public boolean development

  Is Jasper being used in development mode?

### fork

    public boolean fork

  Should Ant fork its java compiles of JSP pages.

### keepGenerated

    public boolean keepGenerated

  Do you want to keep the generated Java files around?

### largeFile

    public boolean largeFile

  Do you want support for "large" files? What this essentially means is that we generated code so that the HTML data in a JSP file is stored separately as opposed to those constant string data being used literally in the generated servlet.

### poolingEnabled

    public boolean poolingEnabled

  Determines whether tag handler pooling is enabled.

### mappedFile

    public boolean mappedFile

  Do you want support for "mapped" files? This will generate servlet that has a print statement per line of the JSP file. This seems like a really nice feature to have for debugging.

### sendErrorToClient

    public boolean sendErrorToClient

  Do you want stack traces and such displayed in the client's browser? If this is false, such messages go to the standard error or a log file if the standard error is redirected.

### classDebugInfo

    public boolean classDebugInfo

  Do we want to include debugging information in the class file?

### checkInterval

    public int checkInterval

  Background compile thread check interval in seconds.

### reloading

    public boolean reloading

  JSP reloading check ?

### scratchDir

    public java.io.File scratchDir

  I want to see my generated servlets. Which directory are they in?

### ieClassId

    public java.lang.String ieClassId

  Need to have this as is for versions 4 and 5 of IE. Can be set from the initParams so if it changes in the future all that is needed is to have a jsp initParam of type ieClassId=""

### classpath

    public java.lang.String classpath

  What classpath should I use while compiling generated servlets?

### compiler

    public java.lang.String compiler

  Compiler to use.

Constructor Detail

### EmbededServletOptions

    public EmbededServletOptions(javax.servlet.ServletConfig config,
                                 javax.servlet.ServletContext context)

  Create an EmbededServletOptions object using data available from ServletConfig and ServletContext.

Method Detail

### getProperty

    public java.lang.String getProperty(java.lang.String name)

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.String value)

### getKeepGenerated

    public boolean getKeepGenerated()

  Are we keeping generated code around?

  Specified by:
    `getKeepGenerated` in interface `Options`

### getLargeFile

    public boolean getLargeFile()

  Are we supporting large files?

  Specified by:
    `getLargeFile` in interface `Options`

### isPoolingEnabled

    public boolean isPoolingEnabled()

  Description copied from interface: `Options`
  Returns true if tag handler pooling is enabled, false otherwise.

  Specified by:
    `isPoolingEnabled` in interface `Options`

### getMappedFile

    public boolean getMappedFile()

  Are we supporting HTML mapped servlets?

  Specified by:
    `getMappedFile` in interface `Options`

### getSendErrorToClient

    public boolean getSendErrorToClient()

  Should errors be sent to client or thrown into stderr?

  Specified by:
    `getSendErrorToClient` in interface `Options`

### getClassDebugInfo

    public boolean getClassDebugInfo()

  Should class files be compiled with debug information?

  Specified by:
    `getClassDebugInfo` in interface `Options`

### getCheckInterval

    public int getCheckInterval()

  Background JSP compile thread check intervall

  Specified by:
    `getCheckInterval` in interface `Options`

### getDevelopment

    public boolean getDevelopment()

  Is Jasper being used in development mode?

  Specified by:
    `getDevelopment` in interface `Options`

### getReloading

    public boolean getReloading()

  JSP reloading check ?

  Specified by:
    `getReloading` in interface `Options`

### getIeClassId

    public java.lang.String getIeClassId()

  Class ID for use in the plugin tag when the browser is IE.

  Specified by:
    `getIeClassId` in interface `Options`

### getScratchDir

    public java.io.File getScratchDir()

  What is my scratch dir?

  Specified by:
    `getScratchDir` in interface `Options`

### getClassPath

    public java.lang.String getClassPath()

  What classpath should I use while compiling the servlets generated from JSP files?

  Specified by:
    `getClassPath` in interface `Options`

### getCompiler

    public java.lang.String getCompiler()

  Compiler to use.

  Specified by:
    `getCompiler` in interface `Options`

### getTldLocationsCache

    public TldLocationsCache getTldLocationsCache()

  Description copied from interface: `Options`
  The cache for the location of the TLD's for the various tag libraries 'exposed' by the web application. A tag library is 'exposed' either explicitely in web.xml or implicitely via the uri tag in the TLD of a taglib deployed in a jar file (WEB-INF/lib).

  Specified by:
    `getTldLocationsCache` in interface `Options`
  Returns:
    the instance of the TldLocationsCache for the web-application.

### setTldLocationsCache

    public void setTldLocationsCache(TldLocationsCache tldC)

### getJavaEncoding

    public java.lang.String getJavaEncoding()

  Description copied from interface: `Options`
  Java platform encoding to generate the JSP page servlet.

  Specified by:
    `getJavaEncoding` in interface `Options`

### getFork

    public boolean getFork()

  Description copied from interface: `Options`
  boolean flag to tell Ant whether to fork JSP page compilations.

  Specified by:
    `getFork` in interface `Options`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.